--- title: "Offline Portal API Reference 1.4" slug: "offline-portal-api-reference-1-4" updated: 2026-08-03T18:00:50Z published: 2026-08-03T18:00:50Z canonical: "docs.trellix.com/offline-portal-api-reference-1-4" stale: true --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Offline Portal API Reference 1.4 # **Getting Started** ## Authentication using DTI Credentials FireEye customers including offline customers always receive account level DTI credentials that can be used to invoke these APIs. Here is a sample usage: ```plaintext # curl --user : https://cloud.fireeye.com/fenet/portal?... ``` ![Blue circular icon with a document/screen symbol representing an informational note.](https://cdn.us.document360.io/0d453a50-e1da-4d4a-9409-fea7959614d8/Images/Documentation/offline-portal-api-reference-1.4_page_0005_img_01.png?sv=2026-02-06&spr=https&st=2026-11-20T08%3A29%3A52Z&se=2026-11-20T09%3A29%3A52Z&sr=c&sp=r&sig=VfWu51eXVRtJh67Bx1ZvATxV4NVWZ%2FBS35yCC9toeT0%3D) You must use a valid DTI FENET server instead of using offline portal server to access these APIs. The following APIs are available: - Find Resources Request on the next page - Download Resources Request on page 13 - Find Guest Image Version Request on page 15 - Find Latest Guest Image Request on page 17 --- Offline Portal API ReferenceFind Resources Request --- # Find Resources Request Finds which resources are hosted and available on an FENET server. `GET /<FENET-server>/fenet/portal?action=<action>` ## Options *FENET-server*—The hostname or IP address of the FENET server. **Required header:** *DTI_user:DTI_password* ## Parameters - `findProducts`—List of available products. - `findResources`—List of available resources. Not available on CM Series appliances. - `findOVAModels`—List of available OVA models. - `findGIs`—List of available GI (guest image) bundles. - `findGIProfiles`—List of GI profiles. - `findAMDGIProfiles`—List of GI profiles for AMD systems. - `findIntelGIProfiles`—List of GI profiles for Intel systems. - `findAMDGIDeltas`—List of delta packages for AMD systems. - `findIntelGIDeltas`—List of delta packages for Intel systems. - `product`—The legacy name of the product in lowercase, for example, wmps. - `release`—Product release number in x.x.x format, for example, 7.9.3. - `version`—Guest image version. ## Usage ### findProducts - `https://<FENET-server>/fenet/portal?action=findProducts` - Finds the list of available products and releases hosted on the *FENET_server*. Also returns mappings of old and new product names. ### findResources Release 1.4 Authentication using DTI Credentials --- - `https://<FENET-server>/fenet/portal?action=findResources&product=<product>&release=<release>` - Finds the list of available resource type hosted on *FENET_server* for the specified product and release combination. findOVAModels - `https://<FENET-server>/fenet/portal?action=findOVAModels&product=<product>&release=<release>` - Finds the list of available OVA models hosted on *FENET_server* for the specified product and release combination. findGIs - `https://<FENET-server>/fenet/portal?action=findGIs&product=<product>&release=<release>` - Finds the list of available GI bundles hosted on *FENET_server* for the specified product and release combination. findGIProfiles - `https://<FENET-server>/fenet/portal?action=findGIProfiles&product=<product>&release=<release>&version=<GI_version>` - Finds the list of available GI profiles hosted on *FENET_server* for the specified product, release, and GI version combination. findAMDG IProfiles - `https://<FENET-server>/fenet/portal?action=findAMDGIProfiles&product=<product>&release=<release>&version=<GI_version>` - Finds the list of available GI profiles for AMD appliances hosted on *FENET_server* for the specified product, release, and GI version combination. findIntelGIProfiles - `https://<FENET-server>/fenet/portal?action=findIntelGIProfiles&product=<product>&release=<release>&version=<GI_version>` - Finds the list of available GI profiles for Intel appliances hosted on *FENET_server* for the specified product, release, and GI version combination. findAMDGIDeltas - `https://<FENET-server>/fenet/portal?action=findAMDGIDeltas&product=<product>&release=<release>&version=<GI_version>` - Finds the list of available GI delta (.diff) packages for AMD appliances hosted on *FENET_server* for the specified product, release, and GI version combination. findIntelGIDeltas - `https://<FENET-server>/fenet/portal?action=findIntelGIDeltas&product=<product>&release=<release>&version=<GI_version>` - Finds the list of available GI delta (.diff) packages for Intel appliances hosted on *FENET_server* for the specified product, release, and GI version combination. --- © 2018 FireEye Offline Portal API Reference Find Resources Request --- ```plaintext server>/fenet/portal?action=findIntelGIDeltas&product=&release=&version= ``` - Finds the list of available GI delta (.diff) packages for Intell appliances hosted on *FENET_server* for the specified product, release, and GI version combination. ## findProducts Example The following API returns a list of products and available release of each product in JSON format: `https://<FENET-server>/fenet/portal?action=findProducts` ## findProducts Response ```plaintext {    "products": [        "cms",        "emps",        "fmps",        "hx",        "hx_agent",        "amps",        ...    ],    "product_map": {        "cms": "CMS",        "emps": "EX",        "fmps": "FX",        "hx": "HX",        "hx_agent": "EP_AGENT",        "wmps": "NX",        ...    },    "releases": {        "cms": [            "8.0.0",            "7.9.3",            ....        ],        "emps": [            "8.0.0",            "7.9.1",            "7.9.0",            "7.8.2",            ...        ],        "fmps": [            "7.7.6",            "7.7.4",            "7.7.3",            ...        ],        "hx": [            "3.5.0",            "3.3.0",            "3.2.0",            "3.1.1",            ...        ]    } } ``` Release 1.4Authentication using DTI Credentials --- ```plaintext ], "hx_agent": [    "21.9.0",    "21.13.0",    "21.12.0",    "11.7.6" ], "wmps": [    "7.9.3",    "7.9.2",    "7.9.1",    "7.9.0",    "7.8.1",    ... ], .... } } ``` ## Example—All Other Parameters The response of all other APIs is a JSON object that contains description of one or more resources. The following is a sample resource description in JSON format: ```plaintext {    "type": "security-content",    "name": "sc_net-4.0-stable_594.294.img",    "file": "sc-stable_594.294.img",    "checksum": "sha1 2021c0eea73e87895c2b2d311001aa8ca47498cc",    "size": "440501587",    "version": "594.294",    "product": "NX-7.9.0",    "resource": "sc",    "action": "download",    "dti": "https://cloud.fireeye.com/fenet/portal?v=1.0&action=download&resource=sc&product=wmps&release=7.9.0&sc_channel_version=SCNET-4.0",    "channel": "SCNET-4.0",    "cdn": "https://cloud.fireeye.com/fenet/portal?v=1.0&action=download&resource=sc&product=wmps&release=7.9.0&sc_channel_version=SCNET-4.0&src=cdn" } ``` ### Response fields | Attribute | Description | | --- | --- | | type | Resource type. | | name | Resource name. Normally a resource should be saved as 'name' after downloading in offline mode. | | file | File name as it is hosted on the FENET server. | | checksum | Checksum of the downloadable resource. | | size | Size of the downloadable resource in bytes. | --- © 2018 FireEye Offline Portal API ReferenceFind Resources Request --- | Attribute | Description | | --- | --- | | version | Version of the resource. | | model | (OVA only) Virtual appliance model. | | action | Action that can be performed. If action is `'download'`, then the `dti` field must also be available. | | dti | URL to download the resource from the DTI (`staticcloud`). | | cdn | URL to download the resource from the CDN (`download.fireeye.com`). Note that DTI will redirect to CDN if this URL is used to fetch a resource | | detail | A URL to drill down and find list of downloadable resources. If `action` is not `'download'` then the `detail` attribute must be available. | ### findResources Example The following command finds available resources for NX 7.9.0: ```plaintext curl --user : https://cloud.fireeye.com/fenet/portal?action=findResource?product=wmps&release=7.9.0 ``` #### Response ```plaintext [  {    "type": "metadata",    "name": "femeta_wMPS.ensig",    "file": "WMPS-meta.xml",    "checksum": "sha1 e39755516c824a70be077f4d2653e5e76f48cc5a",    "size": "814",    "version": "7.9.0",    "product": "NX-7.9.0",    "resource": "femeta",    "action": "download",    "dti": "https://cloud.fireeye.com/fenet/portal?v=1.0&action=download&resource=femeta&product=wmps&release=7.9.0"  },  {    "type": "security-content",    "name": "sc_net-4.0-stable_594.294.img",    "file": "sc-stable_594.294.img",    "checksum": "sha1 2021c0eea73e87895c2b2d311001aa8ca47498cc",    "size": "440501587",    "version": "594.294",    "product": "NX-7.9.0",    "resource": "sc",    "action": "download",    "dti": "https://cloud.fireeye.com/fenet/portal?v=1.0&action=download&resource=sc&product=wmps&release=7.9.0&sc_channel_version=SCNET-4.0",    "channel": "SCNET-4.0",    "cdn": ``` Release 1.4 cURL Sample: findProducts --- ```plaintext "https://cloud.fireeye.com/fenet/portal?v=1.0&action=download&resource=sc&product=wmps&release=7.9.0&sc_channel_version=SCNET-4.0&src=cdn" }, {    "type": "system-image",    "name": "image-wmps-7.9.0",    "file": "image-wmps_7.9.0.img",    "checksum": "sha1_aa4200666f60cbcaf5cf59f91f5d8bc27f351022",    "size": "864361145",    "version": "7.9.0",    "product": "NX-7.9.0",    "resource": "si",    "action": "download",    "dti": "https://cloud.fireeye.com/fenet/portal?v=1.0&action=download&resource=si&product=wmps&release=7.9.0",    "cdn": "https://cloud.fireeye.com/fenet/portal?v=1.0&action=download&resource=si&product=wmps&release=7.9.0&src=cdn" }, {    "type": "guest-images",    "name": "NX-7.9.0-compatible-GIs",    "file": "",    "checksum": "",    "size": "",    "version": "",    "product": "NX-7.9.0",    "resource": "gi",    "action": "findGIs",    "detail": "https://cloud.fireeye.com/fenet/portal?v=1.0&action=findGIs&resource=gi&product=wmps&release=7.9.0",    "supported-versions":"16.0901,15.1218,15.1212,15.0826,15.0210" }, {    "type":"virtual-appliance",    "name":"virtual-appliance-models",    "file": "",    "checksum": "",    "size": "",    "version": "7.9.0",    "product": "NX-7.9.0",    "resource": "ova",    "action": "findOVAModels",    "detail": "https://cloud.fireeye.com/fenet/portal?v=1.0&action=findOVAModels&resource=ova&product=wmps&release=7.9.0" } ] } ``` ## cURL Sample: findProducts ```plaintext curl --user bob:bobspassword -sSg https:///fenet/portal?action=findProducts ``` This curl sample includes the following options: --- © 2018 FireEye 11 Offline Portal API Reference Find Resources Request --- - `-u bob:bobspassword`—Username and password in plain text. - `-s`—This option turns off the progress meter and error message. Although this is an optional setting, FireEye recommends that you include this option. - `-S`—When used with the `-s` option, this option shows error messages if your cURL switch fails. Although this is an optional setting, FireEye recommends that you include this option. - `-g`—This option turns off the URL globbing parser. Although this is an optional setting, FireEye recommends that you include this option. - `https://<FENET-server>/fenet/portal?action=findProducts`—The request URL. --- 12 © 2018 FireEye Release 1.4cURL Sample: findProducts --- # Download Resources Request Downloads a specific resource for appliance updates. ```plaintext GET //fenet/portal?resource= ``` ## Options *FENET-server—The hostname or IP address of the FENET server.* **Required header:** *DTI_user:DTI_password* ## Parameters The resource parameter accepts the following values: - femeta—Metadata. - si—System image (.img). - sc—Security content package. - ova—Virtual appliance image. - gi_tpkg—GI profile image in .img TPKG format. - product—Product name. - release—Release number. - sc_channel_version—Security content version; use with the sc parameter. - model—Virtual appliance model. - bundle—GI version number. - profile—GI profile image. - fromVer—Profile to be upgraded from GI version. - toVer—Profile upgrade to version. ## Usage Examples ### Metadata - `/fenet/portal?resource=femeta&product=<PRODUCT>&release=<RELEASE>` - Fetches the metadata for the specified product release. ### System image --- Offline Portal API Reference Download Resources Request --- - `/fenet/portal?resource=si&product=<PRODUCT>&release=<RELEASE>` Fetches the system image (.img) for the specified product release. Security content by product - `/fenet/portal?resource=sc&product=WMPS&release=8.1.0` Fetches the latest security content package ) for the specified product release. Security content by channel - `/fenet/portal?resource=sc&sc_channel_version=SCNET-4.0` Fetches the latest security content by channel name. OVA model image - `/fenet/portal?resource=ova&product=<PRODUCT>&release=<RELEASE>&model=<MODEL>` Fetches the virtual appliance image for the specified product release and model. GI TPKG image - `/fenet/portal?resource=gi_tpkg&product=<PRODUCT>&release=<RELEASE>&bundle=<GI_VERSION>&profile=<PROFILE>` Fetches the GI profile image in .img TPKG format. GI TPKG delta - `/fenet/portal?resource=gi_tpkg&product=<PRODUCT>&release=<RELEASE>&bundle=<GI_VERSION>&profile=<PROFILE>&fromVer=<FROM_VERSION>&toVer=<TO_VERSION>` Fetches the delta (.diff) image in TPKG format. ## cURL Sample: Security Content by Channel ```plaintext curl -u bob:bobspassword -sSg https:///fenet/portal?resource=sc&sc_channel_version=SCNET-4.0 ``` This curl sample includes the following options: - -u bob:bobspassword—Username and password in plain text. - -s—This option turns off the progress meter and error message. Although this is an optional setting, FireEye recommends that you include this option. - -S—When used with the -s option, this option shows error messages if your cURL switch fails. Although this is an optional setting, FireEye recommends that you include this option. - -g—This option turns off the URL globbing parser. Although this is an optional setting, FireEye recommends that you include this option. - `https://<FENET-server>/fenet/portal?resource=sc&sc_channel_version=SCNET-4.0`—The request URL. # Find Guest Image Version Request Finds the list of available GI versions hosted on the FENET server for a specified product, release, and model combination. ```plaintext GET /fenet/portal?action=findGIVersion&product=&release=&model= ``` ## Options *FENET-server*—The hostname or IP address of the FENET server. **Required header:** *DTI_user:DTI_password* ## Parameters - *product*—Product name, for example, wMPS. - *release*—Software release number, for example, 8.1.0. - *model*—Appliance model, for example, cms4500. ## Find GI Version Response ```plaintext {  "versions": [    "17.0105",    "17.0104",    "17.0103",    "17.0102",    "17.0101",    "16.1201",    "16.0901",    "15.1218",    "15.0826",    "15.0210",    "14.1110"  ] } ``` ## cURL Sample: Find GI Version ```plaintext curl -u bob:bobspassword -SSg https:///fenet/portal?'product=wMPS&release=8.1.0&mode1=cms4500&action=findGIVersion' ``` This curl sample includes the following options: © 2018 FireEye Offline Portal API Reference Find Guest Image Version Request --- - `-u bob:bobspassword`—Username and password in plain text. - `-s`—This option turns off the progress meter and error message. Although this is an optional setting, FireEye recommends that you include this option. - `-S`—When used with the -s option, this option shows error messages if your cURL switch fails. Although this is an optional setting, FireEye recommends that you include this option. - `-g`—This option turns off the URL globbing parser. Although this is an optional setting, FireEye recommends that you include this option. - `https://<FENET-server>/fenet/portal?'product=wMPS&release=8.1.0&model=cms4500&action=findGIVersion'`—The request URL. --- Release 1.4cURL Sample: Find GI Version # Find Latest Guest Image Request Finds the latest GI bundle or overlay on the FENET server for a specified product, release, model, and current-GI-version combination. ```plaintext GET /fenet/portal?action=findGIVersion&product=&release=&model=&giVer= ``` ## Options *FENET-server*—The hostname or IP address of the FENET server. **Required header:** `DTI_user:DTI_password` ## Parameters - *product*—Product name, for example, wMPS. - *release*—Software release number, for example, 8.1.0. - *model*—Appliance model, for example, cms4500. - *current-GI-version*—The current GI version. You can get this value using [Find Guest Image Version Request](/network-and-platform/docs/offline-portal-api-reference-1-4#) on page 15. ## Example ```plaintext GET /fenet/portal?action=findLatestGI&product=eMPS&release=8.0.1&model=fireeye4400&giver=14.0101 ``` ## Find Latest GI Response ```plaintext [  {    "type": "guest-images",    "name": "win7-sp1.17.0800",    "file": "win7-sp1.17.0800.img",    "checksum": "md5_c51156d122c44d025349bd9ee38d8c90",    "size": "18269883913",    "version": "17.0205",    "product": "EX-8.0.1",    "resource": "gi_tpkg",    "action": "download",    "dti": "https:///fenet/portal?v=1.0&action=download&resource=gi_tpkg&product=emps&release=8.0.1&profile=win7-sp1&bundle=17.0205",    "dtii": "..."  } ] ``` Offline Portal API ReferenceFind Latest Guest Image Request --- ```plaintext [    {        "cpu": "AMD",        "timestamp": "2017-09-25 14:18:19-07:00",        "cdn": "https:///fenet/portal?v=1.0&action=download&resource=gi_tpkg&product=emps&release=8.0.1&profile=win7-sp1&bundle=17.0205&src=cdn"    },    {        "type": "guest-images",        "name": "win7x64-sp1.17.0800",        "file": "win7x64-sp1.17.0800.img",        "checksum": "md5 c924a84ef1bafd6ac03fe7554d8a2210",        "size": "17234963530",        "version": "17.0205",        "product": "EX-8.0.1",        "resource": "gi_tpkg",        "action": "download",        "dti": "https:///fenet/portal?v=1.0&action=download&resource=gi_tpkg&product=emps&release=8.0.1&profile=win7x64-sp1&bundle=17.0205",        "cpu": "AMD",        "timestamp": "2017-09-25 14:57:01-07:00",        "cdn": "https:///fenet/portal?v=1.0&action=download&resource=gi_tpkg&product=emps&release=8.0.1&profile=win7x64-sp1&bundle=17.0205&src=cdn"    },    {        "type": "guest-images",        "name": "winxp-sp3.17.0800",        "file": "winxp-sp3.17.0800.img",        "checksum": "md5 012ec557d54dc953c59a6a51c5816f42",        "size": "7143606577",        "version": "17.0205",        "product": "EX-8.0.1",        "resource": "gi_tpkg",        "action": "download",        "dti": "https:///fenet/portal?v=1.0&action=download&resource=gi_tpkg&product=emps&release=8.0.1&profile=winxp-sp3&bundle=17.0205",        "cpu": "AMD",        "timestamp": "2017-09-25 15:26:09-07:00",        "cdn": "https:///fenet/portal?v=1.0&action=download&resource=gi_tpkg&product=emps&release=8.0.1&profile=winxp-sp3&bundle=17.0205&src=cdn"    } ] ``` ## cURL Sample: Find Latest GI ```plaintext curl -u bob:bobspassword https:///fenet/portal?action=findLatestGI&product=eMPS&release=8.0.1&model=fireeye4400&giVer=14.0101 ``` This curl sample includes the following options: - -u bob:bobspassword — Username and password in plain text. - https:///fenet/portal?'product=eMPS&release=8.0.1&giVer=14.0101&model=fireeye4400&action=findLatestGI' — The request URL. --- © 2018 FireEye